# Update RPO Schemas by schema_uuid

Updates an existing RPO Schemas by schema_uuid.

Endpoint: PUT /v4/orchestration/config/schema/{schema_uuid}
Version: 4.0.0
Security: Bearer

## Path parameters:

  - `schema_uuid` (string, required)
    The schema_uuid of the RPO Schema.
    Example: "328b3e50-7983-46d5-94a0-ef004d78db1d"

## Request fields (application/json):

  - `sender_address` (string)
    RippleNet sender address.
    Example: "test.ros.com"

  - `receiver_address` (string, required)
    RippleNet receiver address.
    Example: "test.ros.com"

  - `schema_name` (string, required)
    customer schema name.
    Example: "schema1"

  - `schema` (object, required)
    RPO schema.

  - `schema_description` (string)
    RPO schema description.

  - `receiver_currency` (string, required)
    Receiver currency code for schema.

  - `payment_method` (string)
    Payment method for schema.

## Response 200 fields (application/json):

  - `schema_id` (string, required)
    Unique Identifier of an RPO schema.
    Example: "5492648d-2132-4e70-9ded-2fc86f22b321"

  - `sender_address` (string, required)
    RippleNet sender address.
    Example: "test.ros.com"

  - `receiver_address` (string, required)
    RippleNet receiver address.
    Example: "test.ros.com"

  - `schema_name` (string, required)
    customer schema name.
    Example: "schema1"

  - `schema_description` (string, required)
    RPO schema description.

  - `receiver_currency` (string, required)
    receiver currency code for schema.

  - `payment_method` (string, required)
    payment method for schema.

  - `created_at` (string, required)
    Date and time at which the RPO was created, as an ISO-8601 timestamp in UTC.
    Example: "2018-04-06T20:33:35Z"

  - `schema` (object, required)
    RPO schema.


